<?php
class Resource
{
	private $resource;
	
	function __construct( $res )
	{
		$this->resource=$res;
	}
	
	function fetch()
	{
  		return pg_fetch_assoc( $this->resource );
	}
	
	function __destruct()
	{
		pg_free_result( $this->resource );
	}
}

class Database
{
	private $connection;
	
	public function __construct( $configfile='database_config.php' )
	{
		if ( !file_exists( $configfile ) ) throw new Exception( "Brak pliku konfiguracyjnego" );
		require_once( $configfile );
  		$this->connection = pg_connect( "host=$server dbname=$database user=$user password=$password" );
  		if ( !is_resource( $this->connection ) ) throw new Exception( pg_last_error( $this->connection ) ); 
	}

	function query( $query )
	{
  		$res=pg_query( $this->connection, $query );
  		if ( !is_resource( $res ) ) throw new Exception( pg_last_error( $this->connection ) );
  		return new Resource( $res );
	}

	function __destruct()
	{
  		pg_close( $this->connection );
	}
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Tworzenie tabeli</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head>

<body>

Dane tej tabeli:
<table border="1">
<?php
  $db=new Database();
  $result=$db->query( "select * from osoba" );
  while ( $row=$result->fetch() )
  {
  	echo "<tr>";
	foreach ( $row as $col ) echo "<td>$col</td>";
	echo "</tr>";  	
  }
  $db=null;
?> 
</body>
</html>